Jump to content


 


Register a free account to unlock additional features at BleepingComputer.com
Welcome to BleepingComputer, a free community where people like yourself come together to discuss and learn how to use their computers. Using the site is easy and fun. As a guest, you can browse and view the various discussions in the forums, but can not create a new topic or reply to an existing one unless you are logged in. Other benefits of registering an account are subscribing to topics and forums, creating a blog, and having no ads shown anywhere on the site.


Click here to Register a free account now! or read our Welcome Guide to learn how to use this site.

Photo

Upgrading Linux mint 17.3 to 18...problem..


  • Please log in to reply
15 replies to this topic

#1 Condobloke

Condobloke

    Outback Aussie @ 54.2101 N, 0.2906 W


  • Members
  • 5,937 posts
  • OFFLINE
  •  
  • Gender:Male
  • Local time:05:11 AM

Posted 18 July 2016 - 11:45 PM

am in the process of actually doing the upgrade as per..

 

https://community.linuxmint.com/tutorial/view/2316

 

....and received the following error...

 

 

Ign:1 http://packages.linuxmint.com sarah InRelease                                      
Get:2 http://security.ubuntu.com/ubuntu xenial-security InRelease [94.5 kB]              
Hit:3 http://archive.canonical.com/ubuntu xenial InRelease                                        
Hit:4 http://archive.ubuntu.com/ubuntu xenial InRelease                                           
Hit:5 http://packages.linuxmint.com sarah Release                                                 
Get:7 http://archive.ubuntu.com/ubuntu xenial-updates InRelease [95.7 kB]                         
Hit:8 http://archive.ubuntu.com/ubuntu xenial-backports InRelease   
Fetched 190 kB in 2s (88.0 kB/s)
Can't locate AptPkg/Cache.pm in @INC (you may need to install the AptPkg::Cache module) (@INC contains: /etc/perl /usr/local/lib/x86_64-linux-gnu/perl/5.22.1 /usr/local/share/perl/5.22.1 /usr/lib/x86_64-linux-gnu/perl5/5.22 /usr/share/perl5 /usr/lib/x86_64-linux-gnu/perl/5.22 /usr/share/perl/5.22 /usr/local/lib/site_perl /usr/lib/x86_64-linux-gnu/perl-base .) at /usr/bin/apt-show-versions line 43.
BEGIN failed--compilation aborted at /usr/bin/apt-show-versions line 43.
Reading package lists... Done
E: Problem executing scripts APT::Update::Post-Invoke-Success 'test -x /usr/bin/apt-show-versions || exit 0 ; apt-show-versions -i'
E: Sub-process returned an error code
 


Condobloke ...Outback Australian  

 

fed up with Windows antics...??....LINUX IS THE ANSWER....I USE LINUX MINT 18.3  EXCLUSIVELY.

“A man travels the world in search of what he needs and returns home to find it."

It has been said that time heals all wounds. I don't agree. The wounds remain. Time - the mind, protecting its sanity - covers them with some scar tissue and the pain lessens, but it is never gone. Rose Kennedy


BC AdBot (Login to Remove)

 


#2 Viper_Security

Viper_Security

  • Members
  • 826 posts
  • OFFLINE
  •  
  • Gender:Male
  • Location:127.0.0.1
  • Local time:12:11 PM

Posted 19 July 2016 - 12:01 AM

that tutorial has an odd way of upgrading..

 

as for the apt thing, try this in your terminal:

 

sudo apt-get -f install

 

sudo apt-get update

 

 

That should fix your apt(titude).

 

 

and for upgrading you can do that from terminal as well.

 

sudo apt-get do-release-upgrade

 

or

 

sudo apt-get dist-upgrade

 

That's the way i upgrade, did it seamlessly.

Get back to us :)


Edited by Viper_Security, 19 July 2016 - 12:01 AM.

    IT Auditor & Security Professional

hQBT2G3.png


#3 Condobloke

Condobloke

    Outback Aussie @ 54.2101 N, 0.2906 W

  • Topic Starter

  • Members
  • 5,937 posts
  • OFFLINE
  •  
  • Gender:Male
  • Local time:05:11 AM

Posted 19 July 2016 - 01:38 AM

apt get -f etc returned...

 

brian@brian-EX58-UD3R ~ $ sudo apt-get -f install
[sudo] password for brian:
Reading package lists... Done
Building dependency tree      
Reading state information... Done
Correcting dependencies... Done
The following packages were automatically installed and are no longer required:
  libdb5.3:i386 libde265 libgbm1-lts-vivid libicu55:i386 xserver-xorg-input-mouse-lts-vivid
  xserver-xorg-video-mach64-lts-vivid xserver-xorg-video-r128-lts-vivid
  xserver-xorg-video-radeon-lts-vivid
Use 'sudo apt autoremove' to remove them.
The following additional packages will be installed:
  cinnamon cinnamon-common cinnamon-control-center cinnamon-control-center-data
  cinnamon-desktop-data cinnamon-l10n cinnamon-screensaver cinnamon-session
  cinnamon-session-common cinnamon-settings-daemon cjs gir1.2-cmenu-3.0 gir1.2-cvc-1.0
  gir1.2-meta-muffin-0.0 gir1.2-totem-1.0 gnome-desktop3-data grilo-plugins-0.2-base
  gstreamer1.0-clutter gstreamer1.0-clutter-3.0 hexchat hexchat-common imagemagick-common
  libapt-pkg-perl libc-dev-bin libc6-dbg libc6-dev libc6-i386 libcairo-perl
  libcinnamon-control-center1 libcinnamon-desktop4 libcinnamon-menu-3-0 libcjs0e libclone-perl
  libclutter-gst-2.0-0 libclutter-gst-3.0-0 libclutter-gtk-1.0-0 libcvc0 libdbus-glib2.0-cil
  libdbus2.0-cil libde265-0 libdouble-conversion1v5 libexporter-tiny-perl libfarstream-0.2-5
  libfile-fcntllock-perl libgbm1-lts-vivid libgconf2.0-cil libgdata2.1-cil libgkeyfile1.0-cil
  libglib-perl libglib2.0-bin libglib2.0-cil libgnome-desktop-3-12 libgnome2-canvas-perl
  libgnome2-perl libgnome2-vfs-perl libgom-1.0-0 libgom-1.0-common libgoo-canvas-perl
  libgrilo-0.2-1 libgtk-sharp-beans-cil libgtk2-imageview-perl libgtk2-perl libgtk2.0-cil
  libgudev1.0-cil libhtml-parser-perl libimage-magick-perl libimage-magick-q16-perl libio-pty-perl
  liblist-moreutils-perl libmagickcore-6.q16-2 libmediaart-2.0-0 libmono-addins-gui0.2-cil
  libmono-addins0.2-cil libmono-cairo4.0-cil libmono-corlib4.5-cil libmono-data-tds4.0-cil
  libmono-i18n4.0-cil libmono-posix4.0-cil libmono-security4.0-cil
  libmono-system-configuration4.0-cil libmono-system-core4.0-cil libmono-system-data4.0-cil
  libmono-system-runtime-serialization4.0-cil libmono-system-servicemodel-internals0.0-cil
  libmono-system-transactions4.0-cil libmono-system-xml-linq4.0-cil libmono-system-xml4.0-cil
  libmono-system4.0-cil libmono-zeroconf1.0-cil libmozjs-24-0v5 libmuffin0 libnet-dbus-perl
  libnet-dns-perl libnet-libidn-perl libnet-ssleay-perl libnewtonsoft-json5.0-cil libnm-glib4
  libnm-util2 libnotify0.4-cil libopencv-calib3d2.4v5 libopencv-contrib2.4v5 libopencv-core2.4v5
  libopencv-features2d2.4v5 libopencv-flann2.4v5 libopencv-highgui2.4v5 libopencv-imgproc2.4v5
  libopencv-legacy2.4v5 libopencv-ml2.4v5 libopencv-objdetect2.4v5 libopencv-photo2.4v5
  libopencv-video2.4v5 libopenexr22 libpango-perl libperlio-gzip-perl libproc-processtable-perl
  libproxy1-plugin-gsettings libproxy1-plugin-networkmanager libpurple0 libqt5core5a libqt5opengl5
  libqt5positioning5 libqt5printsupport5 libqt5qml5 libqt5sensors5 libqt5sql5 libqt5sql5-sqlite
  libqt5webkit5 libqt5widgets5 libqt5xml5 libsane-perl libsocket6-perl libsoundtouch1
  libsub-name-perl libtaglib2.1-cil libtext-charwidth-perl libtext-iconv-perl libtext-soundex-perl
  libtotem0 libtracker-sparql-1.0-0 libupower-glib3 libuuid-perl libxcb-util1 libxml-parser-perl
  mono-4.0-gac mono-gac mono-runtime mono-runtime-common mono-runtime-sgen muffin-common nemo
  nemo-data perlmagick pidgin pidgin-data signon-ui signon-ui-service signon-ui-x11 signond
  streamer tomboy totem totem-common totem-plugins totem-plugins-extra virtualbox-guest-utils
  virtualbox-guest-x11 xawtv-plugins xserver-xorg-input-evdev xserver-xorg-input-evdev-lts-vivid
  xserver-xorg-input-mouse-lts-vivid xserver-xorg-input-synaptics
  xserver-xorg-input-synaptics-lts-vivid xserver-xorg-input-vmmouse
  xserver-xorg-input-vmmouse-lts-vivid xserver-xorg-input-wacom xserver-xorg-input-wacom-lts-vivid
  xserver-xorg-video-ati xserver-xorg-video-ati-lts-vivid xserver-xorg-video-cirrus
  xserver-xorg-video-cirrus-lts-vivid xserver-xorg-video-fbdev xserver-xorg-video-fbdev-lts-vivid
  xserver-xorg-video-intel xserver-xorg-video-intel-lts-vivid xserver-xorg-video-mach64
  xserver-xorg-video-mach64-lts-vivid xserver-xorg-video-mga xserver-xorg-video-mga-lts-vivid
  xserver-xorg-video-neomagic xserver-xorg-video-neomagic-lts-vivid xserver-xorg-video-nouveau
  xserver-xorg-video-nouveau-lts-vivid xserver-xorg-video-openchrome
  xserver-xorg-video-openchrome-lts-vivid xserver-xorg-video-r128
  xserver-xorg-video-r128-lts-vivid xserver-xorg-video-radeon xserver-xorg-video-radeon-lts-vivid
  xserver-xorg-video-savage xserver-xorg-video-savage-lts-vivid xserver-xorg-video-siliconmotion
  xserver-xorg-video-siliconmotion-lts-vivid xserver-xorg-video-sisusb
  xserver-xorg-video-sisusb-lts-vivid xserver-xorg-video-tdfx xserver-xorg-video-tdfx-lts-vivid
  xserver-xorg-video-trident xserver-xorg-video-trident-lts-vivid xserver-xorg-video-vesa
  xserver-xorg-video-vesa-lts-vivid xserver-xorg-video-vmware xserver-xorg-video-vmware-lts-vivid
Suggested packages:
  grilo-plugins-0.2-extra unifont glibc-doc libfont-freetype-perl monodoc-gtk2.0-manual
  libswitch-perl | perl grilo-plugins-0.2 libgtk2-perl-doc libdata-dump-perl imagemagick-doc
  libmagickcore-6.q16-2-extra libmono-i18n4.0-all libgamin0 evolution-data-server xawtv evolution
  tasque gromit gpointing-device-settings touchfreeze firmware-linux firmware-amd-graphics
Recommended packages:
  cinnamon-bluetooth hexchat-plugins hexchat-perl hexchat-python ca-certificates-mono
  qttranslations5-l10n upower gromit
The following packages will be REMOVED:
  cinnamon-bluetooth cinnamon-translations gir1.2-muffin-3.0 libcogl-pango15 libgnutls28
  libmono-corlib4.0-cil libmozjs-24-0 libopencv-calib3d2.4 libopencv-contrib2.4 libopencv-core2.4
  libopencv-features2d2.4 libopencv-flann2.4 libopencv-highgui2.4 libopencv-imgproc2.4
  libopencv-legacy2.4 libopencv-ml2.4 libopencv-objdetect2.4 libopencv-photo2.4 libopencv-video2.4
  libperl5.18 totem-mozilla
The following NEW packages will be installed:
  cinnamon-l10n gir1.2-cvc-1.0 gir1.2-meta-muffin-0.0 grilo-plugins-0.2-base
  gstreamer1.0-clutter-3.0 libclutter-gst-3.0-0 libcvc0 libde265-0 libdouble-conversion1v5
  libexporter-tiny-perl libfarstream-0.2-5 libgnome-desktop-3-12 libgom-1.0-0 libgom-1.0-common
  libgrilo-0.2-1 libimage-magick-perl libimage-magick-q16-perl libmagickcore-6.q16-2
  libmediaart-2.0-0 libmono-system-servicemodel-internals0.0-cil libmozjs-24-0v5
  libopencv-calib3d2.4v5 libopencv-contrib2.4v5 libopencv-core2.4v5 libopencv-features2d2.4v5
  libopencv-flann2.4v5 libopencv-highgui2.4v5 libopencv-imgproc2.4v5 libopencv-legacy2.4v5
  libopencv-ml2.4v5 libopencv-objdetect2.4v5 libopencv-photo2.4v5 libopencv-video2.4v5
  libopenexr22 libsoundtouch1 libtracker-sparql-1.0-0 libupower-glib3 libxcb-util1
  signon-ui-service signon-ui-x11 streamer xawtv-plugins xserver-xorg-input-evdev
  xserver-xorg-input-synaptics xserver-xorg-input-vmmouse xserver-xorg-input-wacom
  xserver-xorg-video-ati xserver-xorg-video-cirrus xserver-xorg-video-fbdev
  xserver-xorg-video-intel xserver-xorg-video-mach64 xserver-xorg-video-mga
  xserver-xorg-video-neomagic xserver-xorg-video-nouveau xserver-xorg-video-openchrome
  xserver-xorg-video-r128 xserver-xorg-video-radeon xserver-xorg-video-savage
  xserver-xorg-video-siliconmotion xserver-xorg-video-sisusb xserver-xorg-video-tdfx
  xserver-xorg-video-trident xserver-xorg-video-vesa xserver-xorg-video-vmware
The following packages will be upgraded:
  cinnamon cinnamon-common cinnamon-control-center cinnamon-control-center-data
  cinnamon-desktop-data cinnamon-screensaver cinnamon-session cinnamon-session-common
  cinnamon-settings-daemon cjs gir1.2-cmenu-3.0 gir1.2-totem-1.0 gnome-desktop3-data
  gstreamer1.0-clutter hexchat hexchat-common imagemagick-common libapt-pkg-perl libc-dev-bin
  libc6-dbg libc6-dev libc6-i386 libcairo-perl libcinnamon-control-center1 libcinnamon-desktop4
  libcinnamon-menu-3-0 libcjs0e libclone-perl libclutter-gst-2.0-0 libclutter-gtk-1.0-0
  libdbus-glib2.0-cil libdbus2.0-cil libfile-fcntllock-perl libgbm1-lts-vivid libgconf2.0-cil
  libgdata2.1-cil libgkeyfile1.0-cil libglib-perl libglib2.0-bin libglib2.0-cil
  libgnome2-canvas-perl libgnome2-perl libgnome2-vfs-perl libgoo-canvas-perl
  libgtk-sharp-beans-cil libgtk2-imageview-perl libgtk2-perl libgtk2.0-cil libgudev1.0-cil
  libhtml-parser-perl libio-pty-perl liblist-moreutils-perl libmono-addins-gui0.2-cil
  libmono-addins0.2-cil libmono-cairo4.0-cil libmono-corlib4.5-cil libmono-data-tds4.0-cil
  libmono-i18n4.0-cil libmono-posix4.0-cil libmono-security4.0-cil
  libmono-system-configuration4.0-cil libmono-system-core4.0-cil libmono-system-data4.0-cil
  libmono-system-runtime-serialization4.0-cil libmono-system-transactions4.0-cil
  libmono-system-xml-linq4.0-cil libmono-system-xml4.0-cil libmono-system4.0-cil
  libmono-zeroconf1.0-cil libmuffin0 libnet-dbus-perl libnet-dns-perl libnet-libidn-perl
  libnet-ssleay-perl libnewtonsoft-json5.0-cil libnm-glib4 libnm-util2 libnotify0.4-cil
  libpango-perl libperlio-gzip-perl libproc-processtable-perl libproxy1-plugin-gsettings
  libproxy1-plugin-networkmanager libpurple0 libqt5core5a libqt5opengl5 libqt5positioning5
  libqt5printsupport5 libqt5qml5 libqt5sensors5 libqt5sql5 libqt5sql5-sqlite libqt5webkit5
  libqt5widgets5 libqt5xml5 libsane-perl libsocket6-perl libsub-name-perl libtaglib2.1-cil
  libtext-charwidth-perl libtext-iconv-perl libtext-soundex-perl libtotem0 libuuid-perl
  libxml-parser-perl mono-4.0-gac mono-gac mono-runtime mono-runtime-common mono-runtime-sgen
  muffin-common nemo nemo-data perlmagick pidgin pidgin-data signon-ui signond tomboy totem
  totem-common totem-plugins totem-plugins-extra virtualbox-guest-utils virtualbox-guest-x11
  xserver-xorg-input-evdev-lts-vivid xserver-xorg-input-mouse-lts-vivid
  xserver-xorg-input-synaptics-lts-vivid xserver-xorg-input-vmmouse-lts-vivid
  xserver-xorg-input-wacom-lts-vivid xserver-xorg-video-ati-lts-vivid
  xserver-xorg-video-cirrus-lts-vivid xserver-xorg-video-fbdev-lts-vivid
  xserver-xorg-video-intel-lts-vivid xserver-xorg-video-mach64-lts-vivid
  xserver-xorg-video-mga-lts-vivid xserver-xorg-video-neomagic-lts-vivid
  xserver-xorg-video-nouveau-lts-vivid xserver-xorg-video-openchrome-lts-vivid
  xserver-xorg-video-r128-lts-vivid xserver-xorg-video-radeon-lts-vivid
  xserver-xorg-video-savage-lts-vivid xserver-xorg-video-siliconmotion-lts-vivid
  xserver-xorg-video-sisusb-lts-vivid xserver-xorg-video-tdfx-lts-vivid
  xserver-xorg-video-trident-lts-vivid xserver-xorg-video-vesa-lts-vivid
  xserver-xorg-video-vmware-lts-vivid
148 to upgrade, 64 to newly install, 21 to remove and 1491 not to upgrade.
282 not fully installed or removed.
Need to get 0 B/68.0 MB of archives.
After this operation, 22.4 MB of additional disk space will be used.
Do you want to continue? [Y/n] y
Unescaped left brace in regex is deprecated, passed through in regex; marked by <-- HERE in m/^(.*?)(\\)?\${ <-- HERE ([^{}]+)}(.*)$/ at /usr/share/perl5/Debconf/Question.pm line 72.
Unescaped left brace in regex is deprecated, passed through in regex; marked by <-- HERE in m/\${ <-- HERE ([^}]+)}/ at /usr/share/perl5/Debconf/Config.pm line 30.
Extracting templates from packages: 100%
(Reading database ... 177386 files and directories currently installed.)
Preparing to unpack .../libde265-0_1.0.2-2_amd64.deb ...
Unpacking libde265-0:amd64 (1.0.2-2) ...
dpkg: error processing archive /var/cache/apt/archives/libde265-0_1.0.2-2_amd64.deb (--unpack):
 trying to overwrite '/usr/lib/x86_64-linux-gnu/libde265.so.0.0.10', which is also in package libde265:amd64 1.0.2-1ppa1~trusty1
dpkg-deb: error: subprocess paste was killed by signal (Broken pipe)
Processing triggers for libc-bin (2.23-0ubuntu3) ...
Errors were encountered while processing:
 /var/cache/apt/archives/libde265-0_1.0.2-2_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

 

 

I ran sudo....update as well....it returned...

 

brian@brian-EX58-UD3R ~ $ sudo apt-get update
Ign:1 http://packages.linuxmint.com sarah InRelease                                      
Hit:2 http://archive.canonical.com/ubuntu xenial InRelease                               
Get:3 http://security.ubuntu.com/ubuntu xenial-security InRelease [94.5 kB]                   
Hit:4 http://packages.linuxmint.com sarah Release                                                 
Hit:5 http://archive.ubuntu.com/ubuntu xenial InRelease                       
Get:7 http://archive.ubuntu.com/ubuntu xenial-updates InRelease [95.7 kB]           
Hit:8 http://archive.ubuntu.com/ubuntu xenial-backports InRelease   
Fetched 190 kB in 2s (72.7 kB/s)
Can't locate AptPkg/Cache.pm in @INC (you may need to install the AptPkg::Cache module) (@INC contains: /etc/perl /usr/local/lib/x86_64-linux-gnu/perl/5.22.1 /usr/local/share/perl/5.22.1 /usr/lib/x86_64-linux-gnu/perl5/5.22 /usr/share/perl5 /usr/lib/x86_64-linux-gnu/perl/5.22 /usr/share/perl/5.22 /usr/local/lib/site_perl /usr/lib/x86_64-linux-gnu/perl-base .) at /usr/bin/apt-show-versions line 43.
BEGIN failed--compilation aborted at /usr/bin/apt-show-versions line 43.
Reading package lists... Done
E: Problem executing scripts APT::Update::Post-Invoke-Success 'test -x /usr/bin/apt-show-versions || exit 0 ; apt-show-versions -i'
E: Sub-process returned an error code
brian@brian-EX58-UD3R ~ $
 


Condobloke ...Outback Australian  

 

fed up with Windows antics...??....LINUX IS THE ANSWER....I USE LINUX MINT 18.3  EXCLUSIVELY.

“A man travels the world in search of what he needs and returns home to find it."

It has been said that time heals all wounds. I don't agree. The wounds remain. Time - the mind, protecting its sanity - covers them with some scar tissue and the pain lessens, but it is never gone. Rose Kennedy


#4 wizardfromoz

wizardfromoz

  • Banned
  • 2,799 posts
  • OFFLINE
  •  
  • Gender:Male
  • Local time:05:11 AM

Posted 19 July 2016 - 02:08 AM

We gotta teach you to put long output in spoilers, eg

 

Spoiler

 

Lol

 

Brian I'm behind Viper in terms of that Tute being a little odd, but hey, it's official so can't blame you for following it.

 

I've already got both Cinnamon & MATE 18's on board. Haven't got a 17.3 Cinnamon on call here to try with (well, there is one but it's in the garage yet to be unpacked). But I have a 17.3 MATE that's nice & stable that I keep around for good measure, so I can follow through with the Tute you used, and see if the same (or not) applies with MATE, then we might find some common ground.

 

I'm curious, and if I blow anything up, I've got another 30+ LInux Distros up my sleeve, lol.

 

:wizardball: Wiz



#5 Condobloke

Condobloke

    Outback Aussie @ 54.2101 N, 0.2906 W

  • Topic Starter

  • Members
  • 5,937 posts
  • OFFLINE
  •  
  • Gender:Male
  • Local time:05:11 AM

Posted 19 July 2016 - 02:18 AM

Like this ?

 

Spoiler

 


Condobloke ...Outback Australian  

 

fed up with Windows antics...??....LINUX IS THE ANSWER....I USE LINUX MINT 18.3  EXCLUSIVELY.

“A man travels the world in search of what he needs and returns home to find it."

It has been said that time heals all wounds. I don't agree. The wounds remain. Time - the mind, protecting its sanity - covers them with some scar tissue and the pain lessens, but it is never gone. Rose Kennedy


#6 Viper_Security

Viper_Security

  • Members
  • 826 posts
  • OFFLINE
  •  
  • Gender:Male
  • Location:127.0.0.1
  • Local time:12:11 PM

Posted 19 July 2016 - 02:22 AM

We gotta teach you to put long output in spoilers, eg

 

Spoiler

 

Lol

 

Brian I'm behind Viper in terms of that Tute being a little odd, but hey, it's official so can't blame you for following it.

 

I've already got both Cinnamon & MATE 18's on board. Haven't got a 17.3 Cinnamon on call here to try with (well, there is one but it's in the garage yet to be unpacked). But I have a 17.3 MATE that's nice & stable that I keep around for good measure, so I can follow through with the Tute you used, and see if the same (or not) applies with MATE, then we might find some common ground.

 

I'm curious, and if I blow anything up, I've got another 30+ LInux Distros up my sleeve, lol.

 

:wizardball: Wiz

can never have too many ;)

 

, and Thank you, i've already upgraded on my laptop so i cant try that tutorial just yet.

 

ill install on a spare lappy and get back.

 

EDIT: This tells me you have an error in your Perl code. " Unescaped left brace in regex is deprecated, passed through in regex "

 

I See a few Errors..

 

you have two errors in code. at /usr/share/perl5/Debconf/Question.pm line 72

and at /usr/share/perl5/Debconf/Config.pm line 30

 

 

In Perl v5.22, using a literal { in a regular expression was deprecated, and will emit a warning if it isn't escaped: \{. In v5.26, this won't just warn, it'll cause a syntax error.

 

 

Same in Python, if the line of code is not escaped you will get a syntax error.

 

 

I'd Just reinstall, your install may be broken... :/


Edited by Viper_Security, 19 July 2016 - 02:32 AM.

    IT Auditor & Security Professional

hQBT2G3.png


#7 wizardfromoz

wizardfromoz

  • Banned
  • 2,799 posts
  • OFFLINE
  •  
  • Gender:Male
  • Local time:05:11 AM

Posted 19 July 2016 - 02:34 AM

@Viper:

 

 

can never have too many ;)

 

:thumbup2:

 

@Condobloke:

 

Brian make up your mind whether you're moaning and groaning here or over at Bats's First Impressions ... I'm getting dizzy :hysterical:

 

I'm in 17.3 Rosa MATE now, so I'm off to follow the Tute, once I save my FF profile here - got 33 tabs open and 15 more pinned that I don't want to lose.

 

Later

 

:wizardball: Wiz



#8 Condobloke

Condobloke

    Outback Aussie @ 54.2101 N, 0.2906 W

  • Topic Starter

  • Members
  • 5,937 posts
  • OFFLINE
  •  
  • Gender:Male
  • Local time:05:11 AM

Posted 19 July 2016 - 02:38 AM

:censored:

just what i need ....another reinstall

 

@ Wiz....I was getting seriously off topic there mate....hence the posting/moaning/groaning etc etc...here


Condobloke ...Outback Australian  

 

fed up with Windows antics...??....LINUX IS THE ANSWER....I USE LINUX MINT 18.3  EXCLUSIVELY.

“A man travels the world in search of what he needs and returns home to find it."

It has been said that time heals all wounds. I don't agree. The wounds remain. Time - the mind, protecting its sanity - covers them with some scar tissue and the pain lessens, but it is never gone. Rose Kennedy


#9 Condobloke

Condobloke

    Outback Aussie @ 54.2101 N, 0.2906 W

  • Topic Starter

  • Members
  • 5,937 posts
  • OFFLINE
  •  
  • Gender:Male
  • Local time:05:11 AM

Posted 19 July 2016 - 04:23 AM

I am fairly certain that Viper_Security is correct....I have perused many, many articles...tried many repairs of apitude etc etc, ad nauseam....

 

The actual reinstall is bog simple...absolutely nothing to it.

 

Its the add on stuff that takes TIME>>>....a commodity I do not have much of. I would not be doing this upgrade to this pc if it wasnt for the fact that I sort kinda had a feeling that the install was a bit screwy.....

 

mutter, mutter....fresh install it is.

 

:killcomp:


Condobloke ...Outback Australian  

 

fed up with Windows antics...??....LINUX IS THE ANSWER....I USE LINUX MINT 18.3  EXCLUSIVELY.

“A man travels the world in search of what he needs and returns home to find it."

It has been said that time heals all wounds. I don't agree. The wounds remain. Time - the mind, protecting its sanity - covers them with some scar tissue and the pain lessens, but it is never gone. Rose Kennedy


#10 wizardfromoz

wizardfromoz

  • Banned
  • 2,799 posts
  • OFFLINE
  •  
  • Gender:Male
  • Local time:05:11 AM

Posted 19 July 2016 - 08:59 PM

 

mutter, mutter....fresh install it is.

 

I'd say so, mate ... don't suppose you ran an Aptik snapshot before you tried? Then it would be easy-peasy to tweak the new install.

 

I turned my Linux Mint 17.3 Rosa MATE into toast using Clem's tute, :hysterical: :hysterical: :hysterical: ... after 8 hours work, too.

 

But that's a story for a whole Topic, lol.

 

I'm writing this from Ubuntu 16.04 MATE, always pays to have reserves :guitar:

 

Later

 

:wizardball: Wiz



#11 66Batmobile

66Batmobile

  • Members
  • 319 posts
  • OFFLINE
  •  
  • Gender:Male
  • Location:State of Denial
  • Local time:03:11 PM

Posted 19 July 2016 - 09:05 PM

Ugh...maybe I shouldn't have posted those links...sorry guys :(


Gen. Barker - You haven't heard the last of this!!

Hawkeye Pierce - I wasn't listening to the first of it...


#12 Condobloke

Condobloke

    Outback Aussie @ 54.2101 N, 0.2906 W

  • Topic Starter

  • Members
  • 5,937 posts
  • OFFLINE
  •  
  • Gender:Male
  • Local time:05:11 AM

Posted 19 July 2016 - 09:12 PM

I am somewhat relieved I am not the only one !!.....onya Clem !!!

 

I will look forward to hearing your comments re his tute....go outside and yell at the dog first...it helps to keep the keyboard language cool.....

 

On a more serious note....I had no Aptik snapshot...however I persevered with some backup material I had on a separate hd......and I am within an ace of being set up again now

 

I am still procrastianting over which media player to use.....I usually settle with vlc or occasionally sm player....but vlc is not behaving as it normally does....small screen ....and sm player does not appear to exist in Software Manager.

 

The same applies to VirtualBox....I am undecided where to download it from

 

This particular install is nice and snappy....I dont want to screw it up as well !!.....so I am proceeding carefully

 

I also note there are two level 5 security updates in update manager....Linux...kernel headers for development.((This package provides headers from the Linux kernel. These headers are used by the installed headers for GNU glibc and other system libraries. They are NOT meant to be used to build third-party modules for your kernel. Use linux-headers-* packages for that.))
This update contains 1 package:  linux-libc-dev

 

.............and   Linux-Kernel. .....((The Linux Kernel is responsible for hardware and drivers support. Note that this update will not remove your existing kernel. You will still be able to boot with the current kernel by choosing the advanced options in your boot menu. Please be cautious though.. kernel regressions can affect your ability to connect to the Internet or to log in graphically. DKMS modules are compiled for the most recent kernels installed on your computer. If you are using proprietary drivers and you want to use an older kernel, you will need to remove the new one first.))

 

At this point I have elected NOT to upgrade


Condobloke ...Outback Australian  

 

fed up with Windows antics...??....LINUX IS THE ANSWER....I USE LINUX MINT 18.3  EXCLUSIVELY.

“A man travels the world in search of what he needs and returns home to find it."

It has been said that time heals all wounds. I don't agree. The wounds remain. Time - the mind, protecting its sanity - covers them with some scar tissue and the pain lessens, but it is never gone. Rose Kennedy


#13 Condobloke

Condobloke

    Outback Aussie @ 54.2101 N, 0.2906 W

  • Topic Starter

  • Members
  • 5,937 posts
  • OFFLINE
  •  
  • Gender:Male
  • Local time:05:11 AM

Posted 19 July 2016 - 09:56 PM

Update on Video player...

 

 

sm player is as bad as vlc....plays only with a small screen


Edited by Condobloke, 20 July 2016 - 04:45 AM.

Condobloke ...Outback Australian  

 

fed up with Windows antics...??....LINUX IS THE ANSWER....I USE LINUX MINT 18.3  EXCLUSIVELY.

“A man travels the world in search of what he needs and returns home to find it."

It has been said that time heals all wounds. I don't agree. The wounds remain. Time - the mind, protecting its sanity - covers them with some scar tissue and the pain lessens, but it is never gone. Rose Kennedy


#14 wizardfromoz

wizardfromoz

  • Banned
  • 2,799 posts
  • OFFLINE
  •  
  • Gender:Male
  • Local time:05:11 AM

Posted 19 July 2016 - 11:53 PM

 

Ugh...maybe I shouldn't have posted those links...sorry guys :(

 

Don't you dare be sorry, Bats :nono: - the links were from legitimate sources and on the face of it, appeared to be kosher.

 

And I undertook willingly to try to somewhat duplicate Brian's journey, out of interest, and had the security of other failsafes in place.

 

@Condobloke:

 

 

At this point I have elected NOT to upgrade

 

Always the user's choice, with Linux. There's a lot to be said for "If it ain't broke, don't fix it"?

 

You can always install a fresh 18 alongside a slightly-used 17.3, there's no conflict and you can compare.

 

All sorts of options.

 

:wizardball: Wizard



#15 NickAu

NickAu

    Bleepin' Fish Doctor


  • Moderator
  • 13,241 posts
  • OFFLINE
  •  
  • Gender:Male
  • Location:127.0.0.1 Australia
  • Local time:05:11 AM

Posted 20 July 2016 - 12:03 AM

 

Don't you dare be sorry, Bats :nono: - the links were from legitimate sources and on the face of it, appeared to be kosher.

They are kosher, However every update and upgrade can be risky even on Linux.


Arch Linux .
 
 Come join the fun, chat to Bleeping computer members and staff in real time on Discord.
 
The BleepingComputer Official Discord Chat Server!





0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users